Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthNpe.h File Reference More... Go to the source code of this file.
## Defines
#define | IX_ETHNPE_X2P_NPE_HALT
| Request from the XScale client for the NPE to immediately halt all execution and flush any mbufs in its possession.
#define | IX_ETHNPE_X2P_NPE_PORT_DISABLE
| Request from the XScale client for the NPE to immediately flush any mbufs in its possession.
#define | IX_ETHNPE_X2P_ELT_SETPORTADDRESS
| Indication from the XScale client that the attached Ethernet port's MAC address is equal to the speci-fied value and that the port ID of attached Ethernet port should be set to the specified value.
#define | IX_ETHNPE_X2P_NPE_SETMAXSIZEFILTERING1
| Request from the XScale client for the NPE to update the the maximum frame size per port.
#define | IX_ETHNPE_X2P_NPE_SETMAXSIZEFILTERING2
| Request from the XScale client for the NPE to update the the maximum frame size per port.
#define | IX_ETHNPE_X2P_ELT_ACCESSREQUEST
| Request from the XScale client for the NPE to relinquish control of the Ethernet Learning Tree and write it back to external memory (at the location specified in the last X2P_ELT_AccessRelease message).
#define | IX_ETHNPE_X2P_ELT_ACCESSRELEASE
| Indication from the XScale client that it has relinquished control of the Ethernet Learning Tree and has written an updated version of it, with its base node at the specified address (the base node is the empty node immediately preceding the true root node).
#define | IX_ETHNPE_X2P_ELT_INSERTADDRESS
| Indication from the XScale client that the NPE should insert the specified MAC address/Port ID into internal tree.
#define | IX_ETHNPE_X2P_STATS_SHOW
| Request from the XScale client for the current MAC port statistics data to be written to the (empty) statistics structure and the specified location in external memory.
#define | IX_ETHNPE_X2P_STATS_RESET
| Request from the XScale client for the NPE to reset all of its internal MAC port statistics state variables.
#define | IX_ETHNPE_P2X_NPE_STATUS
| Indication from the NPE of its current status.
#define | IX_ETHNPE_P2X_ELT_ACKPORTADDRESS
| Indication from the NPE that is has finished processing the previous X2P_ELT_SetPortAddress message.
#define | IX_ETHNPE_P2X_NPE_ACKMAXSIZEFILTERING1
| Indication from the NPE that is has finished processing the previous X2P_ELT_SetMaximumFrameSize message.
#define | IX_ETHNPE_P2X_NPE_ACKMAXSIZEFILTERING2
| Indication from the NPE that is has finished processing the previous X2P_ELT_SetMaximumFrameSize message.
#define | IX_ETHNPE_P2X_ELT_ACCESSGRANT
| Indication from the NPE that it relinquished control of the Ethernet Learning Tree and has written it back to external memory at the specified base address.
#define | IX_ETHNPE_P2X_ELT_BALANCEREQUEST
| Request from the NPE for the XScale client to insert the specified MAC address into the Ethernet Learning Tree and rebalance it (the NPE has run out of depth while attempting to insert the source MAC address itself).
#define | IX_ETHNPE_P2X_ELT_NEWADDRESS
| Indication from the NPE that it has just learned (i.e. inserted into its internal tree) the specified new MAC address.
#define | IX_ETHNPE_P2X_ELT_INSERTADDRESSACK
| Indication from the NPE that it has successfully enqueued (to the learning process) the MAC address from the previous X2P_ELT_Insert_Address message.
#define | IX_ETHNPE_P2X_ELT_INSERTADDRESSNACK
| Indication from the NPE that it is unable to enqueue (to the learning process) the MAC address from the previous X2P_ELT_Insert_Address message.
#define | IX_ETHNPE_P2X_STATS_REPORT
| Indication from the NPE that the current MAC port statistics are available in the specified buffer.
#define | IX_ETHNPE_P2X_STATS_CLEAR_REPORT
| Indication from the NPE that the current MAC port statistics are cleared.
#define | IX_ETHNPE_P2X_NPE_PORT_DISABLE
| Response to a IX_ETHNPE_X2P_NPE_PORT_DISABLE.
#define | MASK(hi, lo)
| Macro for mask.
#define | BITS(x, hi, lo)
| Macro for bits.
#define | IX_ETHNPE_QM_Q_RXENET_LENGTH_MASK
| QMgr Queue LENGTH field mask.
#define | IX_ETHNPE_QM_Q_FIELD_FLAG_R
| QMgr Queue FLAG field right boundary.
#define | IX_ETHNPE_QM_Q_FIELD_FLAG_MASK
| QMgr Queue FLAG field mask.
#define | IX_ETHNPE_QM_Q_FIELD_FLAG_MASK
| QMgr Queue FLAG field mask.
#define | IX_ETHNPE_QM_Q_FIELD_NPEID_L
| QMgr Queue NPE ID field left boundary.
#define | IX_ETHNPE_QM_Q_FIELD_NPEID_R
| QMgr Queue NPE ID field right boundary.
#define | IX_ETHNPE_QM_Q_FIELD_PORTID_L
| QMgr Queue Port ID field left boundary.
#define | IX_ETHNPE_QM_Q_FIELD_PORTID_R
| QMgr Queue Port ID field right boundary.
#define | IX_ETHNPE_QM_Q_FIELD_PRIOR_L
| QMgr Queue Priority field left boundary.
#define | IX_ETHNPE_QM_Q_FIELD_PRIOR_R
| QMgr Queue Priority field right boundary.
#define | IX_ETHNPE_QM_Q_FIELD_ADDR_L
| QMgr Queue Address field left boundary.
#define | IX_ETHNPE_QM_Q_FIELD_ADDR_R
| QMgr Queue Address field right boundary.
#define | IX_ETHNPE_QM_Q_FREEENET_ADDR_MASK
| Macro to mask the Address field of the FreeEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_RXENET_NPEID_MASK
| Macro to mask the NPE ID field of the RxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_RXENET_PORTID_MASK
| Macro to mask the Port ID field of the Queue Manager RxEnet Queue entry.
#define | IX_ETHNPE_QM_Q_RXENET_ADDR_MASK
| Macro to mask the Mbuf Address field of the RxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENET_PRIOR_MASK
| Macro to mask the Priority field of the TxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENET_ADDR_MASK
| Macro to mask the Mbuf Address field of the TxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENETDONE_NPEID_MASK
| Macro to mask the NPE ID field of the TxEnetDone Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENETDONE_ADDR_MASK
| Macro to mask the Mbuf Address field of the TxEnetDone Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_FREEENET_ADDR_VAL(x)
| Extraction macro for Address field of FreeNet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_RXENET_NPEID_VAL(x)
| Extraction macro for NPE ID field of RxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_RXENET_PORTID_VAL(x)
| Extraction macro for Port ID field of RxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_RXENET_ADDR_VAL(x)
| Extraction macro for Address field of RxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENET_PRIOR_VAL(x)
| Extraction macro for Priority field of TxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENET_ADDR_VAL(x)
| Extraction macro for Address field of Queue Manager TxEnet Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENETDONE_NPEID_VAL(x)
| Extraction macro for NPE ID field of TxEnetDone Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_TXENETDONE_ADDR_VAL(x)
| Extraction macro for Address field of TxEnetDone Queue Manager Entry.
#define | IX_ETHNPE_QM_Q_FREEENET_ENTRY(addr)
| Queue entry construction macros for FreeNet Queue Manager.
#define | IX_ETHNPE_QM_Q_RXENET_ENTRY(addr, id, prt)
| Queue entry construction macros for RxEnet Queue Manager.
#define | IX_ETHNPE_QM_Q_TXENET_ENTRY(addr, pri)
| Queue entry construction macros for TxEnet Queue Manager.
#define | IX_ETHNPE_QM_Q_TXENETDONE_ENTRY(addr, id)
| Queue entry construction macros for TxEnetDone Queue Manager.
#define | IX_ETHNPE_ACC_RXFREE_BUFFER_LENGTH_MIN
| Macro to check the minimum length of a rx free buffer.
#define | IX_ETHNPE_ACC_RXFREE_BUFFER_LENGTH_MASK
| Mask to apply to the mbuf length before submitting it to the NPE (the NPE handles only rx free mbufs which are multiple of 64).
#define | IX_ETHNPE_ACC_RXFREE_BUFFER_ROUND_UP(size)
| Round up to apply to the mbuf length before submitting it to the NPE (the NPE handles only rx free mbufs which are multiple of 64).
#define | IX_ETHNPE_ACC_FRAME_LENGTH_MAX
| maximum mbuf length supported by the NPE
#define | IX_ETHNPE_ACC_FRAME_LENGTH_DEFAULT
| default mbuf length supported by the NPE
## Detailed Description Version: Revision 1.17 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxEthNpe.h. ## Define Documentation
#define IX_ETHNPE_QM_Q_FIELD_FLAG_MASK
| QMgr Queue FLAG field mask. Multicast bit : BIT(4) Broadcast bit : BIT(5) IP bit : BIT(6) (linux only) Definition at line 310 of file IxEthNpe.h.
Automatically generated from sources. © Intel Corp. 2003